export const CORE_API = "/api/ecs_core"; //基础信息API
export const EXAM_WORK_API = "/api/ecs_exam_work"; //考务信息API
export const MARKING_API = "/api/ecs_marking"; //阅卷API
export const DATA_PROCESS_API = "/api/ecs_data_process"; //数据中间层API
export const OE_API = "/api/ecs_oe"; //网考API
export const QUESTION_API = "/api/ecs_ques"; //题库API
export const EXCHANGE_API = "/api/ecs_outlet"; //接口机
export const PRINT_API = "/api/ecs_prt";
export const TASK_API = "/api/ctr/task";

//考试类型
export const EXAM_TYPE = [
  { label: "传统", value: "TRADITION" },
  { label: "网考", value: "ONLINE" },
  { label: "练习", value: "PRACTICE" },
  { label: "离线", value: "OFFLINE" },
  { label: "印刷", value: "PRINT_EXAM" }
];

//试卷类型
export const PAPER_TYPE = [
  "A",
  "B",
  "C",
  "D",
  "E",
  "F",
  "G",
  "H",
  "I",
  "J",
  "K",
  "L",
  "M",
  "N",
  "O",
  "P",
  "Q",
  "R",
  "S",
  "T",
  "U",
  "V",
  "W",
  "X",
  "Y",
  "Z"
];

//数据类型
export const BASIC_DATA_TYPE = [
  { code: "STRING", name: "STRING" },
  { code: "INTEGER", name: "INTEGER" },
  { code: "BOOLEAN", name: "BOOLEAN" },
  { code: "LONG", name: "LONG" },
  { code: "DATE", name: "DATE" }
];
